### Enumeration

# AppStream RelationError

since: 1.0

#### Declaration

    error-domain AppStream.RelationError

#### Description [src]

The error type.

Available since: 1.0

#### Members

`AS_RELATION_ERROR_FAILED`

  Generic failure.

  - Value: `0`
  - Nickname: `failed`
  - Available since: 1.0
`AS_RELATION_ERROR_BAD_VALUE`

  A metadata value was bad.

  - Value: `1`
  - Nickname: `bad-value`
  - Available since: 1.0
`AS_RELATION_ERROR_NOT_IMPLEMENTED`

  Some check was not (yet) implemented.

  - Value: `2`
  - Nickname: `not-implemented`
  - Available since: 1.0

#### Type functions

###### as_relation_error_quark

No description available.

since: 0.16.0